package sgc.portal.cw.cw0401.persistence;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0401.dto.CW04010001USearch;
import sgc.portal.cw.cw0401.model.CW04010001U;

import java.util.List;
import java.util.Map;

@Mapper
public interface CW04010001UMapper {
	
	//협회 경력 등록관리 조회
	List<EasyHashMap<String, Object>> selectZehrCareerAssoRecordList(CW04010001USearch search);
	
	
	//협회 경력 등록 변경 삭제
	void insertZehrCareerAssoRecord(CW04010001U cW04010001U);
	void updateZehrCareerAssoRecord(CW04010001U cW04010001U);
	void deleteZehrCareerAssoRecord(CW04010001U cW04010001U);
}
